Page MenuHomePhabricator

Gadget cache issues
Closed, ResolvedPublic

Description

Hopefully MaxSem will remember about this...

We had a few incidents of gadgets just disappearing on the labs wikis. I can't remember if purge/null edit fixed it (or even a blanking and revert)....

Well, we've just had the (seemingly) same issues reported on enwiki/dewiki - Gadgets tab gone, blank and revert fixed it

[19:39:57] <kaldari> I've been doing action=purge on them, does that work?
[19:40:05] <hoo> kaldari: no, tested it before
[19:40:13] <kaldari> :(

^ So purge didn't fix it, I'm guessing nulledit fixed it...

It seems to be some sort of cache related fail/error handling


Version: unspecified
Severity: major
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=48278

Details

Reference
bz37228

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 12:30 AM
bzimport set Reference to bz37228.
Reedy created this task.May 30 2012, 6:45 PM
MaxSem added a comment.Jun 8 2012, 5:32 PM

Purge isn't supposed to fix anything, as Gadgets don't use rendered HTML that purge refreshes;) I guess I could add some verbose debug logging code, but I also guess it won't be that useful if it will take a few months to encounter this bug next time. Thoughts?

  • Bug 39050 has been marked as a duplicate of this bug. ***
hoo added a comment.Nov 19 2012, 12:46 AM

Seems to just have reoccurred on dewiki https://de.wikipedia.org/w/index.php?oldid=110664788#s.C3.A4mtliche_Gadgets_weg but it disappeared again after about an hour, without any action taken (at least w/o a visible one).

It just happened at pt.wiktionary and was solved by nulledit on [[MediaWiki:Gadgets-definition]], per Reedy's advice.

*** Bug 49465 has been marked as a duplicate of this bug. ***

  • Bug 51317 has been marked as a duplicate of this bug. ***

Change 73617 had a related patch set uploaded by Hoo man:
Don't cache the gadget-defintion in case no gadgets were found

https://gerrit.wikimedia.org/r/73617

Change 73617 merged by jenkins-bot:
Don't cache the gadget-defintion in case no gadgets were found

https://gerrit.wikimedia.org/r/73617

Did the above fix this?

hoo added a comment.Jul 19 2013, 12:51 AM

It should... closing this now.

If anyone objects to this or even encounters the bug, please re open.